Bug 173776 - [PATCH] audio/aqualung optionsng
Summary: [PATCH] audio/aqualung optionsng
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-21 21:50 UTC by Chris Petrik
Modified: 2012-12-29 22:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.86 KB, patch)
2012-11-21 21:50 UTC, Chris Petrik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Petrik 2012-11-21 21:50:01 UTC
OptionsNG Changes

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-11-21 21:50:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jsa

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Baptiste Daroussin freebsd_committer 2012-12-29 22:35:32 UTC
Responsible Changed
From-To: jsa->bapt

I'll take it.
Comment 3 dfilter service freebsd_committer 2012-12-29 22:36:32 UTC
Author: bapt
Date: Sat Dec 29 22:36:25 2012
New Revision: 309636
URL: http://svnweb.freebsd.org/changeset/ports/309636

Log:
  - Convert to new options framework
  - Trim headers
  - Remove shlib numbers
  
  PR:		ports/173776
  Submitted by:	Chris Petrik <c.petrik.sosa@gmail.com>
  Approved by:	maintainer timeout (1 month)

Modified:
  head/audio/aqualung/Makefile

Modified: head/audio/aqualung/Makefile
==============================================================================
--- head/audio/aqualung/Makefile	Sat Dec 29 22:28:01 2012	(r309635)
+++ head/audio/aqualung/Makefile	Sat Dec 29 22:36:25 2012	(r309636)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	aqualung
-# Date created:		08 October 2006
-# Whom:			Andrew Pantyukhin <infofarmer@FreeBSD.org>
-#
+# Created by: Andrew Pantyukhin <infofarmer@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	aqualung
 DISTVERSION=	0.9beta11
@@ -15,29 +11,30 @@ MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}
 MAINTAINER=	jsa@FreeBSD.org
 COMMENT=	Music player with rich features
 
-LIB_DEPENDS=	samplerate.1:${PORTSDIR}/audio/libsamplerate \
-		sndfile.1:${PORTSDIR}/audio/libsndfile \
-		FLAC.10:${PORTSDIR}/audio/flac \
-		vorbis.4:${PORTSDIR}/audio/libvorbis \
-		oggz.8:${PORTSDIR}/audio/liboggz \
-		speex.1:${PORTSDIR}/audio/speex \
-		mad.2:${PORTSDIR}/audio/libmad \
-		modplug.1:${PORTSDIR}/audio/libmodplug \
-		mpcdec.7:${PORTSDIR}/audio/musepack \
-		mac.2:${PORTSDIR}/audio/mac \
-		tag.1:${PORTSDIR}/audio/taglib \
-		lrdf.2:${PORTSDIR}/textproc/liblrdf \
-		cdio.13:${PORTSDIR}/sysutils/libcdio \
-		mp3lame.0:${PORTSDIR}/audio/lame \
-		avcodec.1:${PORTSDIR}/multimedia/ffmpeg \
-		strfunc.9:${PORTSDIR}/devel/libstrfunc \
-		wavpack.2:${PORTSDIR}/audio/wavpack \
-		xslt.2:${PORTSDIR}/textproc/libxslt \
-		cddb.4:${PORTSDIR}/audio/libcddb \
-		strfunc.9:${PORTSDIR}/devel/libstrfunc
+LIB_DEPENDS=	samplerate:${PORTSDIR}/audio/libsamplerate \
+		sndfile:${PORTSDIR}/audio/libsndfile \
+		FLAC:${PORTSDIR}/audio/flac \
+		vorbis:${PORTSDIR}/audio/libvorbis \
+		oggz:${PORTSDIR}/audio/liboggz \
+		speex:${PORTSDIR}/audio/speex \
+		mad:${PORTSDIR}/audio/libmad \
+		modplug:${PORTSDIR}/audio/libmodplug \
+		mpcdec:${PORTSDIR}/audio/musepack \
+		mac:${PORTSDIR}/audio/mac \
+		tag:${PORTSDIR}/audio/taglib \
+		lrdf:${PORTSDIR}/textproc/liblrdf \
+		cdio:${PORTSDIR}/sysutils/libcdio \
+		mp3lame:${PORTSDIR}/audio/lame \
+		avcodec:${PORTSDIR}/multimedia/ffmpeg \
+		strfunc:${PORTSDIR}/devel/libstrfunc \
+		wavpack:${PORTSDIR}/audio/wavpack \
+		xslt:${PORTSDIR}/textproc/libxslt \
+		cddb:${PORTSDIR}/audio/libcddb \
+		strfunc:${PORTSDIR}/devel/libstrfunc
 
 USE_GETTEXT=	yes
-USE_GNOME=	pkgconfig gtk20 libxml2
+USE_GNOME=	gtk20 libxml2
+USE_PKGCONFIG=	build
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--program-transform-name="" --with-alsa=no --with-ifp=no \
@@ -46,25 +43,23 @@ CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib -lstrfunc
 MAN1=		${PORTNAME}.1
 
-OPTIONS=	JACK "Enable JACK low-latency audio server support" Off \
-		PULSE "Enable PulseAudio sound server support" Off
+OPTIONS_DEFINE=	JACK PULSEAUDIO DOCS
 
 .include <bsd.port.options.mk>
 
-.if !defined(WITH_JACK)
+.if ${PORT_OPTIONS:MJACK}
 CONFIGURE_ARGS+=	--with-jack=no
 .else
-LIB_DEPENDS+=	jack.0:${PORTSDIR}/audio/jack
+LIB_DEPENDS+=	jack:${PORTSDIR}/audio/jack
 CONFIGURE_ARGS+=	--with-jack=yes
 .endif
 
-.if !defined(WITH_PULSE)
+.if ${PORT_OPTIONS:MPULSEAUDIO}
 CONFIGURE_ARGS+=	--with-pulse=no
 .else
-LIB_DEPENDS+=	pulse.0:${PORTSDIR}/audio/pulseaudio
+LIB_DEPENDS+=	pulse:${PORTSDIR}/audio/pulseaudio
 CONFIGURE_ARGS+=	--with-pulse=yes
 .endif
-
 post-patch:
 	@${REINPLACE_CMD} -e '/^docdir/s!=.*!= ${DOCSDIR}!'\
 		${WRKSRC}/doc/Makefile.in
@@ -72,7 +67,7 @@ post-patch:
 #		${WRKSRC}/configure
 	@${ECHO_CMD} "#include <sys/stat.h>" >> ${WRKSRC}/src/common.h
 	@${ECHO_CMD} "#include <sys/types.h>" >> ${WRKSRC}/src/common.h
-.ifdef NOPORTDOCS
+.if ! ${PORT_OPTIONS:MDOCS}
 	@${REINPLACE_CMD} -e '/^install-data-am/s!install-docDATA!!'\
 		${WRKSRC}/doc/Makefile.in
 .endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Baptiste Daroussin freebsd_committer 2012-12-29 22:36:46 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!